import { NextResponse } from "next/server"
import { checkLessonFiles } from "@/services/debug-service"

export async function GET() {
  try {
    const result = await checkLessonFiles()

    return NextResponse.json({
      success: true,
      data: result,
    })
  } catch (error) {
    return NextResponse.json(
      {
        success: false,
        error: (error as Error).message,
      },
      { status: 500 },
    )
  }
}
